View Issue Details

IDProjectCategoryView StatusLast Update
1089RackTablesdefaultpublic2019-01-20 02:02
Reporternareshbtech@yahoo.comAssigned Toinfrastation 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.5 
Target Version0.21.2Fixed in Version0.21.2 
Summary1089: remove a user
DescriptionHi All

Is there a way to remove a existing user.
TagsNo tags attached.

Activities

cyb3rwulf

cyb3rwulf

2013-11-24 12:29

reporter   ~0001967

Actually you need to delete the user by using mysql commands.

A button would be nice.
infrastation

infrastation

2018-09-17 18:48

administrator   ~0003819

Implemented in commit ec78e24.

Related Changesets

RackTables: master ec78e248

2018-09-17 16:52:11

infrastation

Details Diff
allow to delete local user accounts (Mantis#1089)

* commitDeleteUserAccount(): new database interface function
* renderUserListEditor(): extend the form with a "delete" button
* deleteUser(): a new ophandler function
Affected Issues
1089
mod - wwwroot/inc/navigation.php Diff File
mod - wwwroot/inc/database.php Diff File
mod - wwwroot/inc/ophandlers.php Diff File
mod - ChangeLog Diff File
mod - wwwroot/inc/interface-config.php Diff File

Issue History

Date Modified Username Field Change
2013-11-23 17:17 nareshbtech@yahoo.com New Issue
2013-11-24 12:29 cyb3rwulf Note Added: 0001967
2018-09-17 18:48 infrastation Assigned To => infrastation
2018-09-17 18:48 infrastation Status new => closed
2018-09-17 18:48 infrastation Resolution open => fixed
2018-09-17 18:48 infrastation Fixed in Version => 0.21.2
2018-09-17 18:48 infrastation Target Version => 0.21.2
2018-09-17 18:48 infrastation Note Added: 0003819
2019-01-20 02:02 infrastation Changeset attached => RackTables master ec78e248